Bug 1656533 - Review Request: perl-Types-DateTime - Type constraints and coercions for datetime objects
Summary: Review Request: perl-Types-DateTime - Type constraints and coercions for date...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1656536
TreeView+ depends on / blocked
 
Reported: 2018-12-05 17:33 UTC by Xavier Bachelot
Modified: 2018-12-18 03:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-18 03:05:15 UTC
jplesnik: fedora-review+


Attachments (Terms of Use)

Description Xavier Bachelot 2018-12-05 17:33:26 UTC
Spec URL: https://www.bachelot.org/fedora/SPECS/perl-Types-DateTime.spec
SRPM URL: https://www.bachelot.org/fedora/SRPMS/perl-Types-DateTime-0.002-1.fc29.src.rpm

Description: 
Types::DateTime is a type constraint library suitable for use with
Moo/Moose attributes, Kavorka sub signatures, and so forth.

Fedora Account System Username: xavierb

Comment 1 Jitka Plesnikova 2018-12-06 15:31:04 UTC
Source file is ok
Summary is ok

FIX: License should be '(GPL+ or Artistic) and Public Domain', because
     files COPYRIGHT and CREDITS have license Public Domain,
     See Types-DateTime-0.002/COPYRIGHT line 13-17.

Description is ok
Source0 is ok

FIX: Please update URL to use link to metacpan.org
     https://metacpan.org/release/Types-DateTime/

All tests passed

BuildRequires
FIX: Please add following missing build-requires:
     - coreutils - spec file: line 34
     - findutils - spec file: line 34
     - make - spec file: line 32
     - perl-generators
     - perl-interpreter - spec file: line 28
     - perl(Moose) >= 2.06 - t/02mxtdt.t:31
     - perl(Moose::Util::TypeConstraints) - t/02mxtdt.t:26
     - perl(strict) - Makefile.PL:1, lib/Types/DateTime.pm:2
     - perl(Type::Library) - lib/Types/DateTime.pm:17
     - perl(Type::Utils) - lib/Types/DateTime.pm:22
     - perl(Type::Standard) - lib/Types/DateTime.pm:21
     - perl(warnings) - lib/Types/DateTime.pm:3
     - optional - perl(Locale::Maketext) - t/02mxtdt.t:128

$ rpm -qp --requires perl-Types-DateTime-0.002-1.fc30.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.28.1)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
perl run-time dependencies are missing.

$ rpm -qp --provides perl-Types-DateTime-0.002-1.fc30.noarch.rpm | sort | uniq -c
      1 perl-Types-DateTime = 0.002-1.fc30
Binary provides are not complete

FIX: Provides and run-time requires were not added due to missing
     build-requires perl-generators.

$ rpmlint ./perl-Types-DateTime*
perl-Types-DateTime.noarch: W: spelling-error Summary(en_US) coercions -> coercion, coercion's, coercion s
perl-Types-DateTime.src: W: spelling-error Summary(en_US) coercions -> coercion, coercion's, coercion s
2 packages and 1 specfiles checked; 0 errors, 2 warnings.
Rpmlint is ok

If you want to add the package to EPEL, please ignore these two TODO
TODO: The easier way to remove .packlist is used NO_PACKLIST option,
      which is part of perl(ExtUtils::MakeMaker) >= 6.76. It can be
      used in all Fedoras. The command is
      %{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1

TODO: Remove the deleting empty directories in %install section. This is
      default behavior for Fedoras.

Please correct all 'FIX' issues and consider fixing 'TODO' items and
provide new spec file.

Not approved

Comment 2 Xavier Bachelot 2018-12-06 17:35:04 UTC
Wow, I don't know how I let so much errors get through...
All FIX addressed. I want the spec to be compatible with EPEL, so I didn't address the TODOs.

Spec URL: https://www.bachelot.org/fedora/SPECS/perl-Types-DateTime.spec
SRPM URL: https://www.bachelot.org/fedora/SRPMS/perl-Types-DateTime-0.002-2.fc29.src.rpm

Thanks for the review.

Comment 3 Jitka Plesnikova 2018-12-07 14:53:03 UTC
> FIX: License should be '(GPL+ or Artistic) and Public Domain', because
>      files COPYRIGHT and CREDITS have license Public Domain,
>      See Types-DateTime-0.002/COPYRIGHT line 13-17.
> FIX: Please update URL to use link to metacpan.org
>      https://metacpan.org/release/Types-DateTime/

-License:        GPL+ or Artistic
-URL:            http://search.cpan.org/dist/Types-DateTime/
+License:        (GPL+ or Artistic) and Public Domain
+URL:            https://metacpan.org/release/Types-DateTime/

Ok.

> BuildRequires
> FIX: Please add following missing build-requires:
>      - coreutils - spec file: line 34
>      - findutils - spec file: line 34
>      - make - spec file: line 32
>      - perl-generators
>      - perl-interpreter - spec file: line 28
>      - perl(Moose) >= 2.06 - t/02mxtdt.t:31
>      - perl(Moose::Util::TypeConstraints) - t/02mxtdt.t:26
>      - perl(strict) - Makefile.PL:1, lib/Types/DateTime.pm:2
>      - perl(Type::Library) - lib/Types/DateTime.pm:17
>      - perl(Type::Utils) - lib/Types/DateTime.pm:22
>      - perl(Type::Standard) - lib/Types/DateTime.pm:21
>      - perl(warnings) - lib/Types/DateTime.pm:3
>      - optional - perl(Locale::Maketext) - t/02mxtdt.t:128
All BRs were added

$ rpm -qp --requires perl-Types-DateTime-0.002-2.fc30.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.28.1)
      1 perl(:VERSION) >= 5.8.0
      1 perl(DateTime)
      1 perl(DateTime::Duration)
      1 perl(DateTime::Locale)
      1 perl(DateTime::TimeZone)
      1 perl(Module::Runtime)
      1 perl(Type::Library)
      1 perl(Type::Utils)
      1 perl(Types::Standard)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are ok

$ rpm -qp --provides perl-Types-DateTime-0.002-2.fc30.noarch.rpm | sort | uniq -c
      1 perl(Types::DateTime) = 0.002
      1 perl-Types-DateTime = 0.002-2.fc30
Binary provides are ok

The package looks good now.
Approved

Comment 4 Gwyn Ciesla 2018-12-07 16:47:37 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/perl-Types-DateTime

Comment 5 Fedora Update System 2018-12-08 16:20:42 UTC
perl-Types-DateTime-0.002-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-63e7274895

Comment 6 Fedora Update System 2018-12-08 16:20:47 UTC
perl-Types-DateTime-0.002-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-af0cfd43f0

Comment 7 Fedora Update System 2018-12-18 03:05:15 UTC
perl-Types-DateTime-0.002-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2018-12-18 03:41:23 UTC
perl-Types-DateTime-0.002-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.